<?xml version="1.0" encoding="utf-8"?>
<Project ToolsVersion="15.0" xmlns="http://schemas.microsoft.com/developer/msbuild/2003">
  <Import Project="$(MSBuildExtensionsPath)\$(MSBuildToolsVersion)\Microsoft.Common.props" Condition="Exists('$(MSBuildExtensionsPath)\$(MSBuildToolsVersion)\Microsoft.Common.props')" />
  <PropertyGroup>
    <Configuration Condition=" '$(Configuration)' == '' ">Debug</Configuration>
    <Platform Condition=" '$(Platform)' == '' ">AnyCPU</Platform>
    <ProjectGuid>{852F7BF5-E998-48D1-8512-5CD77F0E10C2}</ProjectGuid>
    <OutputType>WinExe</OutputType>
    <RootNamespace>BellwetherBackend</RootNamespace>
    <AssemblyName>BellwetherBackend</AssemblyName>
    <TargetFrameworkVersion>v4.8</TargetFrameworkVersion>
    <FileAlignment>512</FileAlignment>
    <ProjectTypeGuids>{60dc8134-eba5-43b8-bcc9-bb4bc16c2548};{FAE04EC0-301F-11D3-BF4B-00C04F79EFBC}</ProjectTypeGuids>
    <WarningLevel>4</WarningLevel>
    <AutoGenerateBindingRedirects>true</AutoGenerateBindingRedirects>
    <Deterministic>true</Deterministic>
  </PropertyGroup>
  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Debug|AnyCPU' ">
    <PlatformTarget>AnyCPU</PlatformTarget>
    <DebugSymbols>true</DebugSymbols>
    <DebugType>full</DebugType>
    <Optimize>false</Optimize>
    <OutputPath>bin\Debug\</OutputPath>
    <DefineConstants>DEBUG;TRACE</DefineConstants>
    <ErrorReport>prompt</ErrorReport>
    <WarningLevel>4</WarningLevel>
  </PropertyGroup>
  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Release|AnyCPU' ">
    <PlatformTarget>AnyCPU</PlatformTarget>
    <DebugType>pdbonly</DebugType>
    <Optimize>true</Optimize>
    <OutputPath>bin\Release\</OutputPath>
    <DefineConstants>TRACE</DefineConstants>
    <ErrorReport>prompt</ErrorReport>
    <WarningLevel>4</WarningLevel>
  </PropertyGroup>
  <ItemGroup>
    <Reference Include="FirstFloor.ModernUI, Version=1.0.5.0, Culture=neutral, PublicKeyToken=2d21ec3cd074c59a, processorArchitecture=MSIL">
      <SpecificVersion>False</SpecificVersion>
      <HintPath>DLL\FirstFloor.ModernUI.dll</HintPath>
    </Reference>
    <Reference Include="ICSharpCode.SharpZipLib, Version=0.86.0.518, Culture=neutral, PublicKeyToken=1b03e6acf1164f73, processorArchitecture=MSIL">
      <SpecificVersion>False</SpecificVersion>
      <HintPath>DLL\ICSharpCode.SharpZipLib.dll</HintPath>
    </Reference>
    <Reference Include="Microsoft.Office.Interop.PowerPoint, Version=15.0.0.0, Culture=neutral, PublicKeyToken=71e9bce111e9429c, processorArchitecture=MSIL">
      <SpecificVersion>False</SpecificVersion>
      <EmbedInteropTypes>True</EmbedInteropTypes>
      <HintPath>C:\Windows\assembly\GAC_MSIL\Microsoft.Office.Interop.PowerPoint\15.0.0.0__71e9bce111e9429c\Microsoft.Office.Interop.PowerPoint.dll</HintPath>
    </Reference>
    <Reference Include="Microsoft.Windows.Shell, Version=3.5.41019.1, Culture=neutral, PublicKeyToken=31bf3856ad364e35, processorArchitecture=MSIL">
      <SpecificVersion>False</SpecificVersion>
      <HintPath>DLL\Microsoft.Windows.Shell.dll</HintPath>
    </Reference>
    <Reference Include="Microsoft.WindowsAPICodePack.Shell, Version=1.1.0.0, Culture=neutral, PublicKeyToken=31bf3856ad364e35, processorArchitecture=MSIL">
      <SpecificVersion>False</SpecificVersion>
      <HintPath>DLL\Microsoft.WindowsAPICodePack.Shell.dll</HintPath>
    </Reference>
    <Reference Include="Newtonsoft.Json, Version=4.5.0.0, Culture=neutral, PublicKeyToken=30ad4fe6b2a6aeed, processorArchitecture=MSIL">
      <SpecificVersion>False</SpecificVersion>
      <HintPath>DLL\Newtonsoft.Json.dll</HintPath>
    </Reference>
    <Reference Include="office, Version=15.0.0.0, Culture=neutral, PublicKeyToken=71e9bce111e9429c, processorArchitecture=MSIL">
      <SpecificVersion>False</SpecificVersion>
      <EmbedInteropTypes>True</EmbedInteropTypes>
      <HintPath>C:\Windows\assembly\GAC_MSIL\office\15.0.0.0__71e9bce111e9429c\office.dll</HintPath>
    </Reference>
    <Reference Include="SocketTransfer, Version=1.0.0.0, Culture=neutral, processorArchitecture=MSIL">
      <SpecificVersion>False</SpecificVersion>
      <HintPath>DLL\SocketTransfer.dll</HintPath>
    </Reference>
    <Reference Include="System" />
    <Reference Include="System.Data" />
    <Reference Include="System.Drawing" />
    <Reference Include="System.Windows.Forms" />
    <Reference Include="System.Xml" />
    <Reference Include="Microsoft.CSharp" />
    <Reference Include="System.Core" />
    <Reference Include="System.Xml.Linq" />
    <Reference Include="System.Data.DataSetExtensions" />
    <Reference Include="System.Net.Http" />
    <Reference Include="System.Xaml">
      <RequiredTargetFramework>4.0</RequiredTargetFramework>
    </Reference>
    <Reference Include="WindowsBase" />
    <Reference Include="PresentationCore" />
    <Reference Include="PresentationFramework" />
  </ItemGroup>
  <ItemGroup>
    <ApplicationDefinition Include="App.xaml">
      <Generator>MSBuild:Compile</Generator>
      <SubType>Designer</SubType>
    </ApplicationDefinition>
    <Compile Include="SubPage\UcFrontPage.xaml.cs">
      <DependentUpon>UcFrontPage.xaml</DependentUpon>
    </Compile>
    <Compile Include="SubPage\UcBasicSetting.xaml.cs">
      <DependentUpon>UcBasicSetting.xaml</DependentUpon>
    </Compile>
    <Compile Include="SubPage\UpdatePage.xaml.cs">
      <DependentUpon>UpdatePage.xaml</DependentUpon>
    </Compile>
    <Compile Include="Utility\GlobalFunction.cs" />
    <Compile Include="Utility\ReduceImageResolution.cs" />
    <Compile Include="Utility\Setting.cs" />
    <EmbeddedResource Include="Assets\appbar.control.add.xaml">
      <Generator>MSBuild:Compile</Generator>
      <SubType>Designer</SubType>
    </EmbeddedResource>
    <EmbeddedResource Include="Assets\appbar.control.connect.xaml">
      <Generator>MSBuild:Compile</Generator>
      <SubType>Designer</SubType>
    </EmbeddedResource>
    <EmbeddedResource Include="Assets\appbar.control.delete.xaml">
      <Generator>MSBuild:Compile</Generator>
      <SubType>Designer</SubType>
    </EmbeddedResource>
    <EmbeddedResource Include="Assets\appbar.control.disconnect.xaml">
      <Generator>MSBuild:Compile</Generator>
      <SubType>Designer</SubType>
    </EmbeddedResource>
    <EmbeddedResource Include="Assets\appbar.control.downward.xaml">
      <Generator>MSBuild:Compile</Generator>
      <SubType>Designer</SubType>
    </EmbeddedResource>
    <EmbeddedResource Include="Assets\appbar.control.imgdelete.xaml">
      <Generator>MSBuild:Compile</Generator>
      <SubType>Designer</SubType>
    </EmbeddedResource>
    <EmbeddedResource Include="Assets\appbar.control.map.xaml">
      <Generator>MSBuild:Compile</Generator>
      <SubType>Designer</SubType>
    </EmbeddedResource>
    <EmbeddedResource Include="Assets\appbar.control.update.xaml">
      <Generator>MSBuild:Compile</Generator>
      <SubType>Designer</SubType>
    </EmbeddedResource>
    <EmbeddedResource Include="Assets\appbar.control.upward.xaml">
      <Generator>MSBuild:Compile</Generator>
      <SubType>Designer</SubType>
    </EmbeddedResource>
    <Page Include="MainWindow.xaml">
      <Generator>MSBuild:Compile</Generator>
      <SubType>Designer</SubType>
    </Page>
    <Compile Include="App.xaml.cs">
      <DependentUpon>App.xaml</DependentUpon>
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="MainWindow.xaml.cs">
      <DependentUpon>MainWindow.xaml</DependentUpon>
      <SubType>Code</SubType>
    </Compile>
    <Page Include="ModernWindowResource.xaml">
      <SubType>Designer</SubType>
      <Generator>MSBuild:Compile</Generator>
    </Page>
    <Page Include="MyDictionary.xaml">
      <SubType>Designer</SubType>
      <Generator>MSBuild:Compile</Generator>
    </Page>
    <Page Include="SubPage\UcFrontPage.xaml">
      <Generator>MSBuild:Compile</Generator>
      <SubType>Designer</SubType>
    </Page>
    <Page Include="SubPage\UcBasicSetting.xaml">
      <SubType>Designer</SubType>
      <Generator>MSBuild:Compile</Generator>
    </Page>
    <Page Include="SubPage\UpdatePage.xaml">
      <SubType>Designer</SubType>
      <Generator>MSBuild:Compile</Generator>
    </Page>
  </ItemGroup>
  <ItemGroup>
    <Compile Include="Properties\AssemblyInfo.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Properties\Resources.Designer.cs">
      <AutoGen>True</AutoGen>
      <DesignTime>True</DesignTime>
      <DependentUpon>Resources.resx</DependentUpon>
    </Compile>
    <Compile Include="Properties\Settings.Designer.cs">
      <AutoGen>True</AutoGen>
      <DependentUpon>Settings.settings</DependentUpon>
      <DesignTimeSharedInput>True</DesignTimeSharedInput>
    </Compile>
    <EmbeddedResource Include="Properties\Resources.resx">
      <Generator>ResXFileCodeGenerator</Generator>
      <LastGenOutput>Resources.Designer.cs</LastGenOutput>
    </EmbeddedResource>
    <None Include="Properties\Settings.settings">
      <Generator>SettingsSingleFileGenerator</Generator>
      <LastGenOutput>Settings.Designer.cs</LastGenOutput>
    </None>
  </ItemGroup>
  <ItemGroup>
    <None Include="App.config" />
  </ItemGroup>
  <ItemGroup>
    <ProjectReference Include="..\HistoryWallEditTool\HistoryWallEditTool\HistoryWallEditTool.csproj">
      <Project>{94fe2ac5-787c-41d0-882a-61da973ea378}</Project>
      <Name>HistoryWallEditTool</Name>
    </ProjectReference>
  </ItemGroup>
  <ItemGroup>
    <Content Include="DLL\FirstFloor.ModernUI.dll" />
    <Content Include="DLL\ICSharpCode.SharpZipLib.dll" />
    <Content Include="DLL\Microsoft.Windows.Shell.dll" />
    <Content Include="DLL\Microsoft.WindowsAPICodePack.dll" />
    <Content Include="DLL\Microsoft.WindowsAPICodePack.Shell.dll" />
    <Content Include="DLL\Newtonsoft.Json.dll" />
    <Content Include="DLL\SocketTransfer.dll" />
    <Resource Include="Image\play.png" />
  </ItemGroup>
  <Import Project="$(MSBuildToolsPath)\Microsoft.CSharp.targets" />
</Project>